/*
 * uip-app.h
 *
 *  Created on: Jan 29, 2012
 *      Author: RomanM
 */

#ifndef UIP_APP_H_
#define UIP_APP_H_

#include "../psock.h"
#include "../port/clock-arch.h"

#ifndef UIP_APPCALL
	#define UIP_APPCALL uip_app_call
#endif /* UIP_APPCALL */

#ifndef UIP_UDP_APPCALL
	#define	UIP_UDP_APPCALL uip_udp_app_call
#endif

typedef struct app_state {
	uint8_t state;
	uint16_t part;
} uip_tcp_appstate_t;

void uip_app_init(void);
void uip_app_loop(void);

void uip_app_call(void);

void uip_app_get_ip(uint8_t *ip);
void uip_app_get_mac(uint8_t *mac);
uint8_t uip_app_linked(void);

#endif /* UIP_APP_H_ */
